port: 7890
socks-port: 7891
allow-lan: true
mode: Rule
log-level: info
external-controller: 127.0.0.1:9090
proxies:
  - {name: 🇭🇰 香港NO.2, server: xdd.dashuai.cyou, port: 45051, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇦🇺 澳大利亚原生1, server: haa.dashuai.cyou, port: 45062, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇯🇵 日本NO.1, server: haa.dashuai.cyou, port: 45056, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇫🇷 法国1, server: haa.dashuai.cyou, port: 45072, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇺🇸 美国-拉斯维加斯-HY-001-1B, server: 45.147.201.231, port: 30001, type: hysteria2, password: 2c8c4912-f236-4d68-a165-23c677e7a276, obfs: salamander, obfs-password: NDhhNmY5YTY0MGYzOTgxYQ==, skip-cert-verify: true}
  - {name: 🇺🇸 美国-拉斯维加斯-HY-001-1C, server: 45.147.201.231, port: 30001, type: hysteria2, password: bba27fe5-6551-4680-b5db-3a2aa97dc3c9, obfs: salamander, obfs-password: NDhhNmY5YTY0MGYzOTgxYQ==, skip-cert-verify: true}
  - {name: 🇨🇳 台湾1, server: haa.dashuai.cyou, port: 45078, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇷🇺 俄罗斯-圣彼得堡-HY-001-1A, server: 195.58.49.84, port: 31000, type: hysteria2, password: a51fb114-1bec-4416-a431-45e9a8eda87e, obfs: salamander, obfs-password: NDhhNmY5YTY0MGYzOTgxYQ==, skip-cert-verify: true}
  - {name: 🇺🇸 美国-拉斯维加斯-001-1A, server: 45.147.201.231, port: 20013, type: vmess, uuid: a51fb114-1bec-4416-a431-45e9a8eda87e, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /}, udp: true}
  - {name: 🇦🇺 澳大利亚原生2, server: xdd.dashuai.cyou, port: 45063, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇸🇬 新加坡NO.1, server: haa.dashuai.cyou, port: 45054, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇲🇾 马来西亚专线NO1, server: haa.dashuai.cyou, port: 45058, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇮🇳 印度1, server: haa.dashuai.cyou, port: 45074, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇸🇬 直连-新加坡1 0.5x-1A, server: sg1.yunxing.lat, port: 1086, type: hysteria2, password: d6ea322b-4a85-4546-968f-6fa0400523d6, sni: sg1.yunxing.lat, skip-cert-verify: true}
  - {name: 🇺🇸 美国-拉斯维加斯-002-1B, server: 45.147.201.231, port: 23071, type: vmess, uuid: 2c8c4912-f236-4d68-a165-23c677e7a276, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /}, udp: true}
  - {name: 🇲🇾 马来西亚专线NO2, server: xdd.dashuai.cyou, port: 45059, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇩🇪 德国-法兰克福-HY-001-1B, server: 91.149.233.178, port: 32001, type: hysteria2, password: 2c8c4912-f236-4d68-a165-23c677e7a276, obfs: salamander, obfs-password: M2UyNTc5OWUwYjkyM2Q2OQ==, skip-cert-verify: true}
  - {name: 🇷🇺 俄罗斯-圣彼得堡-001-1B, server: 195.58.49.84, port: 22015, type: vmess, uuid: 2c8c4912-f236-4d68-a165-23c677e7a276, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /}, udp: true}
  - {name: 🇭🇰 中国-香港-HY-001-1A, server: 212.192.12.154, port: 33002, type: hysteria2, password: a51fb114-1bec-4416-a431-45e9a8eda87e, obfs: salamander, obfs-password: M2UyNTc5OWUwYjkyM2Q2OQ==, skip-cert-verify: true}
  - {name: 🇷🇺 俄罗斯-圣彼得堡-HY-001-1B, server: 195.58.49.84, port: 31000, type: hysteria2, password: 2c8c4912-f236-4d68-a165-23c677e7a276, obfs: salamander, obfs-password: NDhhNmY5YTY0MGYzOTgxYQ==, skip-cert-verify: true}
  - {name: 🇹🇭 泰国NO2, server: xdd.dashuai.cyou, port: 45061, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇺🇸 美国NO.2, server: xdd.dashuai.cyou, port: 45053, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇭🇰 中国-香港-001-1A, server: 212.192.12.154, port: 23015, type: vmess, uuid: a51fb114-1bec-4416-a431-45e9a8eda87e, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /}, udp: true}
  - {name: 🇭🇰 香港, server: xg.dashuai.cyou, port: 19901, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇸🇬 直连-新加坡2 0.5x-1A, server: sg2.yunxing.lat, port: 1086, type: hysteria2, password: d6ea322b-4a85-4546-968f-6fa0400523d6, sni: us2.yunxing.lat, skip-cert-verify: true}
  - {name: 🇷🇺 俄罗斯-圣彼得堡-001-1A, server: 195.58.49.84, port: 22015, type: vmess, uuid: a51fb114-1bec-4416-a431-45e9a8eda87e, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /}, udp: true}
  - {name: 🇷🇺 俄罗斯-圣彼得堡-001-1C, server: 195.58.49.84, port: 22015, type: vmess, uuid: bba27fe5-6551-4680-b5db-3a2aa97dc3c9, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /}, udp: true}
  - {name: 🇫🇷 法国2, server: xdd.dashuai.cyou, port: 45071, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇺🇸 美国-拉斯维加斯-HY-002-1C, server: 45.147.201.231, port: 33062, type: hysteria2, password: bba27fe5-6551-4680-b5db-3a2aa97dc3c9, obfs: salamander, obfs-password: NDhhNmY5YTY0MGYzOTgxYQ==, skip-cert-verify: true}
  - {name: 🇭🇰 中国-香港-HY-001-1B, server: 212.192.12.154, port: 33002, type: hysteria2, password: 2c8c4912-f236-4d68-a165-23c677e7a276, obfs: salamander, obfs-password: M2UyNTc5OWUwYjkyM2Q2OQ==, skip-cert-verify: true}
  - {name: 🇷🇺 俄罗斯-圣彼得堡-HY-001-1C, server: 195.58.49.84, port: 31000, type: hysteria2, password: bba27fe5-6551-4680-b5db-3a2aa97dc3c9, obfs: salamander, obfs-password: NDhhNmY5YTY0MGYzOTgxYQ==, skip-cert-verify: true}
  - {name: 🇨🇦 加拿大2, server: xdd.dashuai.cyou, port: 45065, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇭🇰 中国-香港-001-1B, server: 212.192.12.154, port: 23015, type: vmess, uuid: 2c8c4912-f236-4d68-a165-23c677e7a276, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /}, udp: true}
  - {name: 🇸🇬 直连-新加坡2 0.5x-1B, server: sg2.yunxing.lat, port: 1086, type: hysteria2, password: 7007e542-37ba-4762-b7a7-1b9df86817bd, sni: us2.yunxing.lat, skip-cert-verify: true}
  - {name: 🇺🇸 美国-拉斯维加斯-HY-001-1A, server: 45.147.201.231, port: 30001, type: hysteria2, password: a51fb114-1bec-4416-a431-45e9a8eda87e, obfs: salamander, obfs-password: NDhhNmY5YTY0MGYzOTgxYQ==, skip-cert-verify: true}
  - {name: 🇯🇵 日本NO.2, server: xdd.dashuai.cyou, port: 45057, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇺🇸 美国-拉斯维加斯-002-1C, server: 45.147.201.231, port: 23071, type: vmess, uuid: bba27fe5-6551-4680-b5db-3a2aa97dc3c9, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /}, udp: true}
  - {name: 🇺🇸 美国-拉斯维加斯-001-1C, server: 45.147.201.231, port: 20013, type: vmess, uuid: bba27fe5-6551-4680-b5db-3a2aa97dc3c9, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /}, udp: true}
  - {name: 🇩🇪 德国-法兰克福-001-1C, server: 91.149.233.178, port: 20053, type: vmess, uuid: bba27fe5-6551-4680-b5db-3a2aa97dc3c9, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /}, udp: true}
  - {name: 🇨🇳 台湾2, server: xdd.dashuai.cyou, port: 45077, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇩🇪 德国-法兰克福-001-1B, server: 91.149.233.178, port: 20053, type: vmess, uuid: 2c8c4912-f236-4d68-a165-23c677e7a276, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /}, udp: true}
  - {name: 🇩🇪 德国01-免费, server: de01.sh-cloudflare.sbs, port: 2096, type: vmess, uuid: bf995aa3-8e82-4180-a926-1a095e910265, alterId: 0, cipher: auto, tls: true, servername: de01.sh-cloudflare.sbs, network: ws, ws-opts: {path: /, headers: {Host: de01.sh-cloudflare.sbs}}, udp: true}
  - {name: 🇸🇬 新加坡NO.2, server: xdd.dashuai.cyou, port: 45055, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇺🇸 美国-拉斯维加斯-HY-002-1B, server: 45.147.201.231, port: 33062, type: hysteria2, password: 2c8c4912-f236-4d68-a165-23c677e7a276, obfs: salamander, obfs-password: NDhhNmY5YTY0MGYzOTgxYQ==, skip-cert-verify: true}
  - {name: 🇺🇸 美国-拉斯维加斯-001-1B, server: 45.147.201.231, port: 20013, type: vmess, uuid: 2c8c4912-f236-4d68-a165-23c677e7a276, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /}, udp: true}
  - {name: 🇸🇬 直连-新加坡1 0.5x-1B, server: sg1.yunxing.lat, port: 1086, type: hysteria2, password: 7007e542-37ba-4762-b7a7-1b9df86817bd, sni: sg1.yunxing.lat, skip-cert-verify: true}
  - {name: 🇺🇸 美国-拉斯维加斯-HY-002-1A, server: 45.147.201.231, port: 33062, type: hysteria2, password: a51fb114-1bec-4416-a431-45e9a8eda87e, obfs: salamander, obfs-password: NDhhNmY5YTY0MGYzOTgxYQ==, skip-cert-verify: true}
  - {name: 🇩🇪 德国-法兰克福-001-1A, server: 91.149.233.178, port: 20053, type: vmess, uuid: a51fb114-1bec-4416-a431-45e9a8eda87e, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /}, udp: true}
  - {name: 🇺🇸 美国-拉斯维加斯-002-1A, server: 45.147.201.231, port: 23071, type: vmess, uuid: a51fb114-1bec-4416-a431-45e9a8eda87e, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /}, udp: true}
  - {name: 🇩🇪 德国-法兰克福-HY-001-1A, server: 91.149.233.178, port: 32001, type: hysteria2, password: a51fb114-1bec-4416-a431-45e9a8eda87e, obfs: salamander, obfs-password: M2UyNTc5OWUwYjkyM2Q2OQ==, skip-cert-verify: true}
  - {name: 🇺🇸 美国NO.1, server: haa.dashuai.cyou, port: 45052, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇬🇧 英国1, server: haa.dashuai.cyou, port: 45066, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇺🇸 美国01-免费, server: us01.sh-cloudflare.sbs, port: 8443, type: vmess, uuid: bf995aa3-8e82-4180-a926-1a095e910265, alterId: 0, cipher: auto, tls: true, servername: us01.sh-cloudflare.sbs, network: ws, ws-opts: {path: /, headers: {Host: us01.sh-cloudflare.sbs}}, udp: true}
  - {name: 🇬🇧 英国2, server: xdd.dashuai.cyou, port: 45067, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇰🇷 韩国 专线NO1, server: haa.dashuai.cyou, port: 45076, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇩🇪 德国-法兰克福-HY-001-1C, server: 91.149.233.178, port: 32001, type: hysteria2, password: bba27fe5-6551-4680-b5db-3a2aa97dc3c9, obfs: salamander, obfs-password: M2UyNTc5OWUwYjkyM2Q2OQ==, skip-cert-verify: true}
  - {name: 🇰🇷 韩国 专线NO2, server: xdd.dashuai.cyou, port: 45075, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇮🇳 印度2, server: xdd.dashuai.cyou, port: 45073, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇨🇦 加拿大1, server: haa.dashuai.cyou, port: 45064, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇭🇰 中国-香港-HY-001-1C, server: 212.192.12.154, port: 33002, type: hysteria2, password: bba27fe5-6551-4680-b5db-3a2aa97dc3c9, obfs: salamander, obfs-password: M2UyNTc5OWUwYjkyM2Q2OQ==, skip-cert-verify: true}
  - {name: 🇹🇭 泰国NO1, server: haa.dashuai.cyou, port: 45060, type: vmess, uuid: fd3b32da-d8b4-4b91-a975-ddf82357326b, alterId: 0, cipher: auto, tls: false, udp: true}
  - {name: 🇭🇰 中国-香港-001-1C, server: 212.192.12.154, port: 23015, type: vmess, uuid: bba27fe5-6551-4680-b5db-3a2aa97dc3c9, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /}, udp: true}
proxy-groups:
  - name: 手动切换
    type: select
    proxies:
      - 🇭🇰 香港NO.2
      - 🇦🇺 澳大利亚原生1
      - 🇯🇵 日本NO.1
      - 🇫🇷 法国1
      - 🇺🇸 美国-拉斯维加斯-HY-001-1B
      - 🇺🇸 美国-拉斯维加斯-HY-001-1C
      - 🇨🇳 台湾1
      - 🇷🇺 俄罗斯-圣彼得堡-HY-001-1A
      - 🇺🇸 美国-拉斯维加斯-001-1A
      - 🇦🇺 澳大利亚原生2
      - 🇸🇬 新加坡NO.1
      - 🇲🇾 马来西亚专线NO1
      - 🇮🇳 印度1
      - 🇸🇬 直连-新加坡1 0.5x-1A
      - 🇺🇸 美国-拉斯维加斯-002-1B
      - 🇲🇾 马来西亚专线NO2
      - 🇩🇪 德国-法兰克福-HY-001-1B
      - 🇷🇺 俄罗斯-圣彼得堡-001-1B
      - 🇭🇰 中国-香港-HY-001-1A
      - 🇷🇺 俄罗斯-圣彼得堡-HY-001-1B
      - 🇹🇭 泰国NO2
      - 🇺🇸 美国NO.2
      - 🇭🇰 中国-香港-001-1A
      - 🇭🇰 香港
      - 🇸🇬 直连-新加坡2 0.5x-1A
      - 🇷🇺 俄罗斯-圣彼得堡-001-1A
      - 🇷🇺 俄罗斯-圣彼得堡-001-1C
      - 🇫🇷 法国2
      - 🇺🇸 美国-拉斯维加斯-HY-002-1C
      - 🇭🇰 中国-香港-HY-001-1B
      - 🇷🇺 俄罗斯-圣彼得堡-HY-001-1C
      - 🇨🇦 加拿大2
      - 🇭🇰 中国-香港-001-1B
      - 🇸🇬 直连-新加坡2 0.5x-1B
      - 🇺🇸 美国-拉斯维加斯-HY-001-1A
      - 🇯🇵 日本NO.2
      - 🇺🇸 美国-拉斯维加斯-002-1C
      - 🇺🇸 美国-拉斯维加斯-001-1C
      - 🇩🇪 德国-法兰克福-001-1C
      - 🇨🇳 台湾2
      - 🇩🇪 德国-法兰克福-001-1B
      - 🇩🇪 德国01-免费
      - 🇸🇬 新加坡NO.2
      - 🇺🇸 美国-拉斯维加斯-HY-002-1B
      - 🇺🇸 美国-拉斯维加斯-001-1B
      - 🇸🇬 直连-新加坡1 0.5x-1B
      - 🇺🇸 美国-拉斯维加斯-HY-002-1A
      - 🇩🇪 德国-法兰克福-001-1A
      - 🇺🇸 美国-拉斯维加斯-002-1A
      - 🇩🇪 德国-法兰克福-HY-001-1A
      - 🇺🇸 美国NO.1
      - 🇬🇧 英国1
      - 🇺🇸 美国01-免费
      - 🇬🇧 英国2
      - 🇰🇷 韩国 专线NO1
      - 🇩🇪 德国-法兰克福-HY-001-1C
      - 🇰🇷 韩国 专线NO2
      - 🇮🇳 印度2
      - 🇨🇦 加拿大1
      - 🇭🇰 中国-香港-HY-001-1C
      - 🇹🇭 泰国NO1
      - 🇭🇰 中国-香港-001-1C
  - name: 自动选择
    type: url-test
    url: https://www.google.com/favicon.ico
    interval: 300
    tolerance: 50
    proxies:
      - 🇭🇰 香港NO.2
      - 🇦🇺 澳大利亚原生1
      - 🇯🇵 日本NO.1
      - 🇫🇷 法国1
      - 🇺🇸 美国-拉斯维加斯-HY-001-1B
      - 🇺🇸 美国-拉斯维加斯-HY-001-1C
      - 🇨🇳 台湾1
      - 🇷🇺 俄罗斯-圣彼得堡-HY-001-1A
      - 🇺🇸 美国-拉斯维加斯-001-1A
      - 🇦🇺 澳大利亚原生2
      - 🇸🇬 新加坡NO.1
      - 🇲🇾 马来西亚专线NO1
      - 🇮🇳 印度1
      - 🇸🇬 直连-新加坡1 0.5x-1A
      - 🇺🇸 美国-拉斯维加斯-002-1B
      - 🇲🇾 马来西亚专线NO2
      - 🇩🇪 德国-法兰克福-HY-001-1B
      - 🇷🇺 俄罗斯-圣彼得堡-001-1B
      - 🇭🇰 中国-香港-HY-001-1A
      - 🇷🇺 俄罗斯-圣彼得堡-HY-001-1B
      - 🇹🇭 泰国NO2
      - 🇺🇸 美国NO.2
      - 🇭🇰 中国-香港-001-1A
      - 🇭🇰 香港
      - 🇸🇬 直连-新加坡2 0.5x-1A
      - 🇷🇺 俄罗斯-圣彼得堡-001-1A
      - 🇷🇺 俄罗斯-圣彼得堡-001-1C
      - 🇫🇷 法国2
      - 🇺🇸 美国-拉斯维加斯-HY-002-1C
      - 🇭🇰 中国-香港-HY-001-1B
      - 🇷🇺 俄罗斯-圣彼得堡-HY-001-1C
      - 🇨🇦 加拿大2
      - 🇭🇰 中国-香港-001-1B
      - 🇸🇬 直连-新加坡2 0.5x-1B
      - 🇺🇸 美国-拉斯维加斯-HY-001-1A
      - 🇯🇵 日本NO.2
      - 🇺🇸 美国-拉斯维加斯-002-1C
      - 🇺🇸 美国-拉斯维加斯-001-1C
      - 🇩🇪 德国-法兰克福-001-1C
      - 🇨🇳 台湾2
      - 🇩🇪 德国-法兰克福-001-1B
      - 🇩🇪 德国01-免费
      - 🇸🇬 新加坡NO.2
      - 🇺🇸 美国-拉斯维加斯-HY-002-1B
      - 🇺🇸 美国-拉斯维加斯-001-1B
      - 🇸🇬 直连-新加坡1 0.5x-1B
      - 🇺🇸 美国-拉斯维加斯-HY-002-1A
      - 🇩🇪 德国-法兰克福-001-1A
      - 🇺🇸 美国-拉斯维加斯-002-1A
      - 🇩🇪 德国-法兰克福-HY-001-1A
      - 🇺🇸 美国NO.1
      - 🇬🇧 英国1
      - 🇺🇸 美国01-免费
      - 🇬🇧 英国2
      - 🇰🇷 韩国 专线NO1
      - 🇩🇪 德国-法兰克福-HY-001-1C
      - 🇰🇷 韩国 专线NO2
      - 🇮🇳 印度2
      - 🇨🇦 加拿大1
      - 🇭🇰 中国-香港-HY-001-1C
      - 🇹🇭 泰国NO1
      - 🇭🇰 中国-香港-001-1C
  - name: 负载均衡
    type: load-balance
    strategy: consistent-hashing
    url: https://www.google.com/favicon.ico
    interval: 300
    tolerance: 50
    proxies:
      - 🇭🇰 香港NO.2
      - 🇦🇺 澳大利亚原生1
      - 🇯🇵 日本NO.1
      - 🇫🇷 法国1
      - 🇺🇸 美国-拉斯维加斯-HY-001-1B
      - 🇺🇸 美国-拉斯维加斯-HY-001-1C
      - 🇨🇳 台湾1
      - 🇷🇺 俄罗斯-圣彼得堡-HY-001-1A
      - 🇺🇸 美国-拉斯维加斯-001-1A
      - 🇦🇺 澳大利亚原生2
      - 🇸🇬 新加坡NO.1
      - 🇲🇾 马来西亚专线NO1
      - 🇮🇳 印度1
      - 🇸🇬 直连-新加坡1 0.5x-1A
      - 🇺🇸 美国-拉斯维加斯-002-1B
      - 🇲🇾 马来西亚专线NO2
      - 🇩🇪 德国-法兰克福-HY-001-1B
      - 🇷🇺 俄罗斯-圣彼得堡-001-1B
      - 🇭🇰 中国-香港-HY-001-1A
      - 🇷🇺 俄罗斯-圣彼得堡-HY-001-1B
      - 🇹🇭 泰国NO2
      - 🇺🇸 美国NO.2
      - 🇭🇰 中国-香港-001-1A
      - 🇭🇰 香港
      - 🇸🇬 直连-新加坡2 0.5x-1A
      - 🇷🇺 俄罗斯-圣彼得堡-001-1A
      - 🇷🇺 俄罗斯-圣彼得堡-001-1C
      - 🇫🇷 法国2
      - 🇺🇸 美国-拉斯维加斯-HY-002-1C
      - 🇭🇰 中国-香港-HY-001-1B
      - 🇷🇺 俄罗斯-圣彼得堡-HY-001-1C
      - 🇨🇦 加拿大2
      - 🇭🇰 中国-香港-001-1B
      - 🇸🇬 直连-新加坡2 0.5x-1B
      - 🇺🇸 美国-拉斯维加斯-HY-001-1A
      - 🇯🇵 日本NO.2
      - 🇺🇸 美国-拉斯维加斯-002-1C
      - 🇺🇸 美国-拉斯维加斯-001-1C
      - 🇩🇪 德国-法兰克福-001-1C
      - 🇨🇳 台湾2
      - 🇩🇪 德国-法兰克福-001-1B
      - 🇩🇪 德国01-免费
      - 🇸🇬 新加坡NO.2
      - 🇺🇸 美国-拉斯维加斯-HY-002-1B
      - 🇺🇸 美国-拉斯维加斯-001-1B
      - 🇸🇬 直连-新加坡1 0.5x-1B
      - 🇺🇸 美国-拉斯维加斯-HY-002-1A
      - 🇩🇪 德国-法兰克福-001-1A
      - 🇺🇸 美国-拉斯维加斯-002-1A
      - 🇩🇪 德国-法兰克福-HY-001-1A
      - 🇺🇸 美国NO.1
      - 🇬🇧 英国1
      - 🇺🇸 美国01-免费
      - 🇬🇧 英国2
      - 🇰🇷 韩国 专线NO1
      - 🇩🇪 德国-法兰克福-HY-001-1C
      - 🇰🇷 韩国 专线NO2
      - 🇮🇳 印度2
      - 🇨🇦 加拿大1
      - 🇭🇰 中国-香港-HY-001-1C
      - 🇹🇭 泰国NO1
      - 🇭🇰 中国-香港-001-1C
  - name: 中国节点
    type: select
    proxies:
      - 🇭🇰 香港NO.2
      - 🇨🇳 台湾1
      - 🇭🇰 中国-香港-HY-001-1A
      - 🇭🇰 中国-香港-001-1A
      - 🇭🇰 香港
      - 🇭🇰 中国-香港-HY-001-1B
      - 🇭🇰 中国-香港-001-1B
      - 🇨🇳 台湾2
      - 🇭🇰 中国-香港-HY-001-1C
      - 🇭🇰 中国-香港-001-1C
  - name: 日本节点
    type: select
    proxies:
      - 🇯🇵 日本NO.1
      - 🇯🇵 日本NO.2
  - name: 新加坡节点
    type: select
    proxies:
      - 🇸🇬 新加坡NO.1
      - 🇸🇬 直连-新加坡1 0.5x-1A
      - 🇸🇬 直连-新加坡2 0.5x-1A
      - 🇸🇬 直连-新加坡2 0.5x-1B
      - 🇸🇬 新加坡NO.2
      - 🇸🇬 直连-新加坡1 0.5x-1B
  - name: 美国节点
    type: url-test
    url: https://www.google.com/favicon.ico
    interval: 300
    tolerance: 150
    proxies:
      - 🇺🇸 美国-拉斯维加斯-HY-001-1B
      - 🇺🇸 美国-拉斯维加斯-HY-001-1C
      - 🇺🇸 美国-拉斯维加斯-001-1A
      - 🇺🇸 美国-拉斯维加斯-002-1B
      - 🇺🇸 美国NO.2
      - 🇺🇸 美国-拉斯维加斯-HY-002-1C
      - 🇺🇸 美国-拉斯维加斯-HY-001-1A
      - 🇺🇸 美国-拉斯维加斯-002-1C
      - 🇺🇸 美国-拉斯维加斯-001-1C
      - 🇺🇸 美国-拉斯维加斯-HY-002-1B
      - 🇺🇸 美国-拉斯维加斯-001-1B
      - 🇺🇸 美国-拉斯维加斯-HY-002-1A
      - 🇺🇸 美国-拉斯维加斯-002-1A
      - 🇺🇸 美国NO.1
      - 🇺🇸 美国01-免费
rules:
  - DOMAIN,xdd.dashuai.cyou,DIRECT
  - DOMAIN,haa.dashuai.cyou,DIRECT
  - DOMAIN,haa.dashuai.cyou,DIRECT
  - DOMAIN,haa.dashuai.cyou,DIRECT
  - IP-CIDR,45.147.201.231/32,DIRECT,no-resolve
  - IP-CIDR,45.147.201.231/32,DIRECT,no-resolve
  - DOMAIN,haa.dashuai.cyou,DIRECT
  - IP-CIDR,195.58.49.84/32,DIRECT,no-resolve
  - IP-CIDR,45.147.201.231/32,DIRECT,no-resolve
  - DOMAIN,xdd.dashuai.cyou,DIRECT
  - DOMAIN,haa.dashuai.cyou,DIRECT
  - DOMAIN,haa.dashuai.cyou,DIRECT
  - DOMAIN,haa.dashuai.cyou,DIRECT
  - DOMAIN,sg1.yunxing.lat,DIRECT
  - IP-CIDR,45.147.201.231/32,DIRECT,no-resolve
  - DOMAIN,xdd.dashuai.cyou,DIRECT
  - IP-CIDR,91.149.233.178/32,DIRECT,no-resolve
  - IP-CIDR,195.58.49.84/32,DIRECT,no-resolve
  - IP-CIDR,212.192.12.154/32,DIRECT,no-resolve
  - IP-CIDR,195.58.49.84/32,DIRECT,no-resolve
  - DOMAIN,xdd.dashuai.cyou,DIRECT
  - DOMAIN,xdd.dashuai.cyou,DIRECT
  - IP-CIDR,212.192.12.154/32,DIRECT,no-resolve
  - DOMAIN,xg.dashuai.cyou,DIRECT
  - DOMAIN,sg2.yunxing.lat,DIRECT
  - IP-CIDR,195.58.49.84/32,DIRECT,no-resolve
  - IP-CIDR,195.58.49.84/32,DIRECT,no-resolve
  - DOMAIN,xdd.dashuai.cyou,DIRECT
  - IP-CIDR,45.147.201.231/32,DIRECT,no-resolve
  - IP-CIDR,212.192.12.154/32,DIRECT,no-resolve
  - IP-CIDR,195.58.49.84/32,DIRECT,no-resolve
  - DOMAIN,xdd.dashuai.cyou,DIRECT
  - IP-CIDR,212.192.12.154/32,DIRECT,no-resolve
  - DOMAIN,sg2.yunxing.lat,DIRECT
  - IP-CIDR,45.147.201.231/32,DIRECT,no-resolve
  - DOMAIN,xdd.dashuai.cyou,DIRECT
  - IP-CIDR,45.147.201.231/32,DIRECT,no-resolve
  - IP-CIDR,45.147.201.231/32,DIRECT,no-resolve
  - IP-CIDR,91.149.233.178/32,DIRECT,no-resolve
  - DOMAIN,xdd.dashuai.cyou,DIRECT
  - IP-CIDR,91.149.233.178/32,DIRECT,no-resolve
  - DOMAIN,de01.sh-cloudflare.sbs,DIRECT
  - DOMAIN,xdd.dashuai.cyou,DIRECT
  - IP-CIDR,45.147.201.231/32,DIRECT,no-resolve
  - IP-CIDR,45.147.201.231/32,DIRECT,no-resolve
  - DOMAIN,sg1.yunxing.lat,DIRECT
  - IP-CIDR,45.147.201.231/32,DIRECT,no-resolve
  - IP-CIDR,91.149.233.178/32,DIRECT,no-resolve
  - IP-CIDR,45.147.201.231/32,DIRECT,no-resolve
  - IP-CIDR,91.149.233.178/32,DIRECT,no-resolve
  - DOMAIN,haa.dashuai.cyou,DIRECT
  - DOMAIN,haa.dashuai.cyou,DIRECT
  - DOMAIN,us01.sh-cloudflare.sbs,DIRECT
  - DOMAIN,xdd.dashuai.cyou,DIRECT
  - DOMAIN,haa.dashuai.cyou,DIRECT
  - IP-CIDR,91.149.233.178/32,DIRECT,no-resolve
  - DOMAIN,xdd.dashuai.cyou,DIRECT
  - DOMAIN,xdd.dashuai.cyou,DIRECT
  - DOMAIN,haa.dashuai.cyou,DIRECT
  - IP-CIDR,212.192.12.154/32,DIRECT,no-resolve
  - DOMAIN,haa.dashuai.cyou,DIRECT
  - IP-CIDR,212.192.12.154/32,DIRECT,no-resolve
  - MATCH,手动切换
